Skip to main content

Location

This interface will be used to create and update locations on AdOr5.

Below you will find the Actions with descriptions and the Specfication for the requests.

Actions​

VIEW​

This interface allows you to view an empty location.json file

Request details​

MethodEndpointHeader keyHeader Value
VIEWBaseURL/api/locationX-AUTH-TOKENIntegration Service API key

Request Response​

{
"LocationID": 0,
"LocationTypeID": 0,
"LocationNo": null,
"Address1": null,
"Address2": null,
"Address3": null,
"Address4": null,
"PostalCode": null,
"CountryCode": null,
"Telephone": null,
"Fax": null,
"Email": null,
"Ref1": null,
"CreateDate": "0001-01-01T00:00:00",
"CreateUID": 0,
"SubPack": false,
"RequireWeightAndDims": false,
"CheckMethodID": 0,
"LocationName1": null,
"LocationName2": null,
"VAS": false,
"VASText": null,
"ParentLocationID": null,
"Hub": null,
"IsXDock": false,
"UnpackBinId": null,
"TypeDesc": null
}

POST​

This method allows you to post to the LocationSTD_API Interface.

Request details​

MethodEndpointHeader keyHeader Value
POSTBaseURL/api/locationX-AUTH-TOKENIntegration Service API key

Request Body​


{
"interfaceName" : "LocationSTD_API",
"returnDetailedData" : true,
"data": [{
"LocationID": 0,
"LocationTypeID": 0,
"LocationNo": "LOC123",
"Address1": null,
"Address2": null,
"Address3": null,
"Address4": null,
"PostalCode": null,
"CountryCode": null,
"Telephone": null,
"Fax": null,
"Email": null,
"Ref1": null,
"CreateDate": "0001-01-01T00:00:00",
"CreateUID": 0,
"SubPack": false,
"RequireWeightAndDims": false,
"CheckMethodID": 0,
"LocationName1": null,
"LocationName2": null,
"VAS": false,
"VASText": null,
"ParentLocationID": null,
"Hub": null,
"IsXDock": false,
"UnpackBinId": null,
"TypeDesc": null
}]
}

Request Response​

{
"success": true,
"message": null,
"errorData": null,
"returnData": [
{
"locationID": 824,
"locationTypeID": 2,
"locationNo": "LOC123",
"address1": null,
"address2": null,
"address3": null,
"address4": null,
"postalCode": null,
"countryCode": null,
"telephone": null,
"fax": null,
"email": null,
"ref1": null,
"createDate": "2020-11-17T15:38:39.7264678+02:00",
"createUID": 0,
"subPack": false,
"requireWeightAndDims": false,
"checkMethodID": 0,
"locationName1": null,
"locationName2": null,
"vas": false,
"vasText": null,
"parentLocationID": null,
"hub": null,
"isXDock": false,
"unpackBinId": null,
"typeDesc": null
}
]
}

PUT​

This method allows you to put to the LocationSTD_API Interface.

Request details​

To edit a product, you must specify either the ProductID or the SKUNo

MethodEndpointHeader keyHeader Value
PUTBaseURL/api/productX-AUTH-TOKENIntegration Service API key

Request Body​

{
"interfaceName" : "LocationSTD_API",
"returnDetailedData" : true,
"data": [{
"LocationID": 0,
"LocationTypeID": 0,
"LocationNo": "LOC123",
"Address1": "1st Street",
"Address2": "Place",
"Address3": "City",
"Address4": null,
"PostalCode": "1234",
"CountryCode": "ZA",
"Telephone": "12341567890",
"Fax": null,
"Email": "ceo@business.net",
"Ref1": null,
"CreateDate": "0001-01-01T00:00:00",
"CreateUID": 0,
"SubPack": false,
"RequireWeightAndDims": false,
"CheckMethodID": 0,
"LocationName1": null,
"LocationName2": null,
"VAS": false,
"VASText": null,
"ParentLocationID": null,
"Hub": null,
"IsXDock": false,
"UnpackBinId": null,
"TypeDesc": null
}]
}

Response​

{
"success": true,
"message": null,
"errorData": null,
"returnData": [
{
"locationID": 824,
"locationTypeID": 2,
"locationNo": "LOC123",
"address1": "1st Street",
"address2": "Place",
"address3": "City",
"address4": null,
"postalCode": "1234",
"countryCode": "ZA",
"telephone": "12341567890",
"fax": null,
"email": "ceo@business.net",
"ref1": null,
"createDate": "0001-01-01T00:00:00",
"createUID": 0,
"subPack": false,
"requireWeightAndDims": false,
"checkMethodID": 0,
"locationName1": null,
"locationName2": null,
"vas": false,
"vasText": null,
"parentLocationID": null,
"hub": null,
"isXDock": false,
"unpackBinId": null,
"typeDesc": null
}
]
}

Specification​

Location​

FieldTypeNotesReq
LocationIDIntegerN
LocationTypeIDIntegerDefaults to system key DEFAULT_LOCATIONTYPEIDN
LocationNoString (10)Y
Address1String (50)N
Address2String (50)N
Address3String (50)N
Address4String (50)N
PostalCodeString (20)N
CountryCodeString (10)N
TelephoneString (30)N
FaxString (30)N
EmailString (50)N
Ref1String (30)N
CreateDateTimestampN
CreateUIDIntegerN
SubPackBooleanN
RequireWeightAndDimsBooleanN
CheckMethodIDIntegerN
LocationName1String (60)N
LocationName2String (60)N
VASBooleanN
VASTextString (2048)N
ParentLocationIDIntegerN
HubString (10)N
IsXDockBooleanN
UnpackBinIdIntegerN
TypeDescIntegerDefaults to storeN